#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>

int main()
{
    int n;
    double temp;
    std::vector<double>a, p, res;
    std::cin >> n;
    for (int i = 0; i < n; i++)
    {
        std::cin >> temp;
        a.push_back(temp);
        std::cin >> temp;
        p.push_back(temp);
    }


    for (int i = 0; i < n; i++)
    {
        temp = 0;
        for (int j = 0; j < n; j++)
        {
            if (p[j] >= p[i]) temp+= (a[j] / 100) * p[i];
        }
        res.push_back(temp);
    }

    auto test = *std::max_element(res.begin(), res.end());
    std::cout << std::fixed;
    std::cout << std::setprecision(4);
    std::cout << test;
}